#ifndef ATL_sGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,1040,1120,1280,1520,2080
 * N : 25,240,480,1040,1120,1280,1520,2080
 * NB : 2,8,16,16,24,24,80,80
 */
#define ATL_sGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 2; \
   else if ((n_) < 360) (nb_) = 8; \
   else if ((n_) < 1080) (nb_) = 16; \
   else if ((n_) < 1400) (nb_) = 24; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_sGetNB_geqrf */
