#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,280,360,440,520,1040,2080
 * N : 25,120,240,280,360,440,520,1040,2080
 * NB : 4,8,8,8,16,40,40,40,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 320) (nb_) = 8; \
   else if ((n_) < 400) (nb_) = 16; \
   else if ((n_) < 1560) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
